<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
  "-//Hibernate/Hibernate Configuration DTD//EN"
  "http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
		<property name="hibernate.connection.driver_class">${jdbc.driver.class}</property>
		<property name="hibernate.dialect">${hibernate.dialect}</property>
		<property name="hibernate.connection.url">${jdbc.connection.url}</property>
		<property name="hibernate.connection.username">${jdbc.user}</property>
		<property name="hibernate.connection.password">${jdbc.password}</property>
		<property name="hibernate.show_sql">false</property>
		<property name="hibernate.format_sql">true</property>
		<property name="hibernate.connection.batch_size">20</property>
        <property name="hibernate.cache.use_query_cache">false</property>
        <property name="hibernate.cache.use_second_level_cache">true</property>
        <!-- c3p0 properties -->
        <property name="hibernate.c3p0.min_size" >${min.pool.size}</property>
        <property name="hibernate.c3p0.max_size" >${max.pool.size}</property>
        <property name="hibernate.c3p0.acquire_increment" >1</property>
        <property name="hibernate.c3p0.idle_test_period" >30</property>
        <property name="hibernate.c3p0.max_statements" >50</property>
        <property name="hibernate.c3p0.timeout" >40</property>
        <property name="hibernate.c3p0.unreturnedConnectionTimeout">400</property>
        <property name="hibernate.c3p0.debugUnreturnedConnectionStackTraces">true</property>
        <!--<property name="hibernate.c3p0.testConnectionOnCheckin" >true</property>-->
		<!-- Values are validate | update | create | create-drop -->
		<property name="hibernate.hbm2ddl.auto">validate</property>
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.AffinityDomain" />
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.Actor" />
		<mapping class="net.ihe.gazelle.simulator.common.tf.model.Transaction" />
        <mapping class="net.ihe.gazelle.simulator.common.tf.model.IntegrationProfile"/>
        <mapping class="net.ihe.gazelle.simulator.common.tf.model.Domain" />
		<mapping class="net.ihe.gazelle.simulator.message.model.MessageInstanceMetadata"/>
        <mapping class="net.ihe.gazelle.simulator.message.model.MessageInstance" />
        <mapping class="net.ihe.gazelle.simulator.message.model.TransactionInstance" />
        <mapping class="net.ihe.gazelle.simulator.sut.model.Usage"/>
		<mapping class="net.ihe.gazelle.HL7Common.model.HL7V2ResponderSUTConfiguration" />
		<mapping class="net.ihe.gazelle.simulator.common.model.ApplicationConfiguration" />
		<mapping class="net.ihe.gazelle.simulator.pix.model.CrossReference" />
        <mapping class="net.ihe.gazelle.patient.PatientAddress"/>
		<mapping class="net.ihe.gazelle.simulator.pam.model.PatientPhoneNumber"/>
		<mapping class="net.ihe.gazelle.simulator.pam.model.Patient" />
		<mapping class="net.ihe.gazelle.simulator.pam.model.HierarchicDesignator" />
		<mapping class="net.ihe.gazelle.simulator.pam.model.PatientIdentifier" />
		<mapping class="net.ihe.gazelle.simulator.pam.model.PatientHistory" />
		<mapping class="net.ihe.gazelle.simulator.pam.model.PatientLink" />
        <mapping class="net.ihe.gazelle.simulator.pam.model.AdditionalDemographics"/>
		<mapping class="net.ihe.gazelle.simulator.pam.iti31.model.LegalCareMode"/>
        <mapping class="net.ihe.gazelle.simulator.pam.iti31.model.DRGMovement"/>
        <mapping class="net.ihe.gazelle.simulator.pam.iti31.model.EncounterAdditionalInfo"/>
        <mapping class="net.ihe.gazelle.simulator.pam.iti31.model.PatientsPHRInfo"/>
		<mapping class="net.ihe.gazelle.HL7Common.model.Charset" />
		<mapping class="net.ihe.gazelle.HL7Common.model.SimulatorResponderConfiguration" />
		<mapping class="net.ihe.gazelle.simulator.pam.iti31.model.Encounter" />
		<mapping class="net.ihe.gazelle.simulator.pam.iti31.model.Movement" />
		<mapping class="net.ihe.gazelle.simulator.pam.iti31.action.NumberGenerator" />
        <mapping class="net.ihe.gazelle.simulator.common.model.ReceiverConsole" />
		<mapping class="net.ihe.gazelle.xua.model.PicketLinkCredentials"/>
		<mapping class="net.ihe.gazelle.xua.model.XServiceProviderLog"/>
		<mapping class="net.ihe.gazelle.simulator.testdata.model.TestData"/>
		<mapping class="net.ihe.gazelle.simulator.testdata.model.PatientTestData"/>
		<mapping class="net.ihe.gazelle.simulator.testdata.model.PatientIdentifierTestData"/>
		<mapping class="net.ihe.gazelle.simulator.pam.model.Person"/>
		<mapping class="net.ihe.gazelle.simulator.pam.model.PersonAddress"/>
		<mapping class="net.ihe.gazelle.simulator.pam.model.PersonPhoneNumber"/>
		<mapping class="net.ihe.gazelle.simulator.pam.menu.SimulatorFeature"/>
	</session-factory>
</hibernate-configuration>
